[pkg-java] r2552 - in trunk/eclipse/debian: . extra

Michael Koch mkoch at costa.debian.org
Wed Oct 4 12:45:23 UTC 2006


Author: mkoch
Date: 2006-10-04 12:45:23 +0000 (Wed, 04 Oct 2006)
New Revision: 2552

Removed:
   trunk/eclipse/debian/extra/ecj-gcj.1
   trunk/eclipse/debian/extra/ecj-java.1
   trunk/eclipse/debian/extra/ecj.sh
Modified:
   trunk/eclipse/debian/rules
Log:
Removed last artefacts of packaged ecj.



Deleted: trunk/eclipse/debian/extra/ecj-gcj.1
===================================================================
--- trunk/eclipse/debian/extra/ecj-gcj.1	2006-10-04 11:34:21 UTC (rev 2551)
+++ trunk/eclipse/debian/extra/ecj-gcj.1	2006-10-04 12:45:23 UTC (rev 2552)
@@ -1,101 +0,0 @@
-.TH ECJ "1" "October 2002" 
-.SH NAME
-ecj \- Eclipse JDT Compiler
-.SH SYNOPSIS
-.B ecj <options> <source files>\fR
-.SH DESCRIPTION
-ECJ Compiler is command version of the Java compiler from Eclipse. ECJ
-has basic java compiler options like SUN's javac.
-.SH OPTIONS
-.TP
-\fB\-help\fR                   display a help message
-.TP
-\fB\-version\fR                compiler version number
-.TP
-\fB\-classpath\fR              <dir 1>;<dir 2>;...;<dir P>
-.TP
-\fB\-d\fR <dir>                destination directory (if omitted no package directory structure is created)
-.TP
-\fB\-d\fR none
-no classfile is generated
-.PP
-\fB\-target\fR <ver>           classfile target setting (1.1 or 1.2, default is 1.1)
-.TP
-\fB\-1.3\fR                    set compliance level to 1.3 (default)
-.TP
-\fB\-1.4\fR                    set compliance level to 1.4
-.TP
-\fB\-source\fR <ver>           assertions toggle (1.3 or 1.4, default is 1.3 in -1.3 mode and 1.4 in -1.4 mode)
-.TP
-\fB\-nowarn\fR                 no warning (equivalent to '\-warn:none')
-.TP
-\fB\-warn\fR: <level>          set warning level (e.g. '\-warn:unusedLocals,deprecation')
-.TP
-constructorName
-warn method with constructor name
-.TP
-packageDefaultMethod
-warn attempt to override package-default method
-.TP
-deprecation
-warn usage of deprecated type or member
-.TP
-maskedCatchBlocks
-warn hidden catch block
-.TP
-unusedLocals
-warn on unused local variable (never read)
-.TP
-unusedArguments
-warn on unused method argument (never read)
-.TP
-unusedImports
-warn on unused imports
-.TP
-syntheticAccess
-warn when performing synthetic access for innerclass
-.TP
-assertIdentifier
-warn occurrence of 'assert' used as identifier
-.PP
-\fB\-deprecation\fR            equivalent to \fB\-warn\fR:deprecation.
-\fB\-g[\fR:<level>]            debug attributes level
-.TP
-\fB\-g\fR
-all debug info ('\-g:lines,vars,source')
-.TP
-\fB\-g\fR:none
-no debug info
-.TP
-\fB\-g\fR:[lines,vars,source]
-selective debug info
-.PP
-\fB\-preserveAllLocals\fR      code gen preserve all local variables (for debug purpose)
-.TP
-\fB\-noImportError\fR          no errors for unresolved imports
-.TP
-\fB\-encoding\fR               specify default source encoding format (custom encoding can also be specifed on a per file basis by suffixing each input source file/folder name with '[encoding]')
-.PP
-\fB\-log\fR <filename>         specify a log file
-.TP
-\fB\-proceedOnError\fR         keep compiling when error, dumping class files with problem methods
-.TP
-\fB\-verbose\fR                print accessed\/processed compilation units
-.TP
-\fB\-referenceInfo\fR          compute reference info
-.TP
-\fB\-progress\fR               show progress (only in \fB\-log\fR mode)
-.TP
-\fB\-time\fR                   display speed information
-.TP
-\fB\-noExit\fR                 do not call System.exit(n) at end of compilation (n=0 if no error)
-.TP
-\fB\-repeat\fR <n>             repeat compilation process <n> times (perf analysis)
-.PP
-.SH NOTES
-This executeable is compiled with GCJ to native code for better performance.
-.SH SEE ALSO
-javac(1), eclipse(1)
-.SH AUTHOR
-This manual page was written by Takshi Okamoto, Jan Schulz
-<debian at katzien.de> and Stephan Michels <stephan at apache.org>.

Deleted: trunk/eclipse/debian/extra/ecj-java.1
===================================================================
--- trunk/eclipse/debian/extra/ecj-java.1	2006-10-04 11:34:21 UTC (rev 2551)
+++ trunk/eclipse/debian/extra/ecj-java.1	2006-10-04 12:45:23 UTC (rev 2552)
@@ -1,99 +0,0 @@
-.TH ECJ "1" "October 2002"
-.SH NAME
-ecj \- Eclipse JDT Compiler
-.SH SYNOPSIS
-.B ecj <options> <source files>\fR
-.SH DESCRIPTION
-ECJ Compiler is command version of the Java compiler from Eclipse. ECJ
-has basic java compiler options like SUN's javac.
-.SH OPTIONS
-.TP
-\fB\-help\fR                   display a help message
-.TP
-\fB\-version\fR                compiler version number
-.TP
-\fB\-classpath\fR              <dir 1>;<dir 2>;...;<dir P>
-.TP
-\fB\-d\fR <dir>                destination directory (if omitted no package directory structure is created)
-.TP
-\fB\-d\fR none
-no classfile is generated
-.PP
-\fB\-target\fR <ver>           classfile target setting (1.1 or 1.2, default is 1.1)
-.TP
-\fB\-1.3\fR                    set compliance level to 1.3 (default)
-.TP
-\fB\-1.4\fR                    set compliance level to 1.4
-.TP
-\fB\-source\fR <ver>           assertions toggle (1.3 or 1.4, default is 1.3 in -1.3 mode and 1.4 in -1.4 mode)
-.TP
-\fB\-nowarn\fR                 no warning (equivalent to '\-warn:none')
-.TP
-\fB\-warn\fR: <level>          set warning level (e.g. '\-warn:unusedLocals,deprecation')
-.TP
-constructorName
-warn method with constructor name
-.TP
-packageDefaultMethod
-warn attempt to override package-default method
-.TP
-deprecation
-warn usage of deprecated type or member
-.TP
-maskedCatchBlocks
-warn hidden catch block
-.TP
-unusedLocals
-warn on unused local variable (never read)
-.TP
-unusedArguments
-warn on unused method argument (never read)
-.TP
-unusedImports
-warn on unused imports
-.TP
-syntheticAccess
-warn when performing synthetic access for innerclass
-.TP
-assertIdentifier
-warn occurrence of 'assert' used as identifier
-.PP
-\fB\-deprecation\fR            equivalent to \fB\-warn\fR:deprecation.
-\fB\-g[\fR:<level>]            debug attributes level
-.TP
-\fB\-g\fR
-all debug info ('\-g:lines,vars,source')
-.TP
-\fB\-g\fR:none
-no debug info
-.TP
-\fB\-g\fR:[lines,vars,source]
-selective debug info
-.PP
-\fB\-preserveAllLocals\fR      code gen preserve all local variables (for debug purpose)
-.TP
-\fB\-noImportError\fR          no errors for unresolved imports
-.TP
-\fB\-encoding\fR               specify default source encoding format (custom encoding can also be specifed on a per file basis by suffixing each input source file/folder name with '[encoding]')
-.PP
-\fB\-log\fR <filename>         specify a log file
-.TP
-\fB\-proceedOnError\fR         keep compiling when error, dumping class files with problem methods
-.TP
-\fB\-verbose\fR                print accessed\/processed compilation units
-.TP
-\fB\-referenceInfo\fR          compute reference info
-.TP
-\fB\-progress\fR               show progress (only in \fB\-log\fR mode)
-.TP
-\fB\-time\fR                   display speed information
-.TP
-\fB\-noExit\fR                 do not call System.exit(n) at end of compilation (n=0 if no error)
-.TP
-\fB\-repeat\fR <n>             repeat compilation process <n> times (perf analysis)
-.PP
-.SH SEE ALSO
-javac(1), eclipse(1)
-.SH AUTHOR
-This manual page was written by Takshi Okamoto, Jan Schulz
-<debian at katzien.de> and Stephan Michels <stephan at apache.org>.

Deleted: trunk/eclipse/debian/extra/ecj.sh
===================================================================
--- trunk/eclipse/debian/extra/ecj.sh	2006-10-04 11:34:21 UTC (rev 2551)
+++ trunk/eclipse/debian/extra/ecj.sh	2006-10-04 12:45:23 UTC (rev 2552)
@@ -1,63 +0,0 @@
-#!/bin/bash
-
-# Having any sort of classpath causes massive breakage, with Kaffe at least.
-unset CLASSPATH; export CLASSPATH
-unset JAVA_HOME; export JAVA_HOME
-unset WORKSPACE; export WORKSPACE
-
-# Make sure this directory exists.
-if [ ! -d ~/.eclipse ]; then
-    mkdir ~/.eclipse > /dev/null 2> /dev/null
-    if [ $? -ne 0 ]; then
-        echo "Could not create ~/.eclipse." 1>&2
-        exit $?
-    fi
-fi
-
-# Load default settings from the user's configuration file.
-if [ -f ~/.eclipse/eclipserc ]; then
-    source ~/.eclipse/eclipserc
-fi
-
-# If the user has specified a custom JAVA_HOME, we check it for validity.
-if [ -n "$JAVA_HOME" ]; then
-    echo "using specified JRE: $JAVA_HOME"
-    if [ ! -x "$JAVA_HOME"/bin/java ]; then
-        echo "The custom VM you have chosen does not have a valid bin/java executable." 1>&2
-        exit 1
-    fi
-fi
-
-# If the user has not set JAVA_HOME, cycle through our list of compatible VM's
-# and pick the first one that exists.
-if [ -z "$JAVA_HOME" ] && [ -f /etc/eclipse/java_home ]; then
-    while read JAVA_HOME; do
-        echo -n "  testing $JAVA_HOME..."
-        if [ -x "$JAVA_HOME"/bin/java ]; then
-            export JAVA_HOME
-            break
-        fi
-    done < <(cat /etc/eclipse/java_home | grep -v '^#' | grep -v '^$')
-fi
-
-# If we don't have a JAVA_HOME yet, we're doomed.
-if [ -z "$JAVA_HOME" ]; then
-    echo "Could not find a suitable JVM." >&2
-    exit 1
-fi
-
-# Find and verify the existance of the JDT plugin.
-JDT_CLASSPATH=$(echo /usr/lib/eclipse/plugins/org.eclipse.jdt.core_*.jar)
-if [ ! -r "$JDT_CLASSPATH" ]; then
-    echo "Could not access the Eclipse JDT." 1>&2
-    echo "$JDT_CLASSPATH"
-    exit 1
-fi
-
-
-exec $JAVA_HOME/bin/java \
-    -classpath $JDT_CLASSPATH \
-    org.eclipse.jdt.internal.compiler.batch.Main \
-    $@
-
-exit $?

Modified: trunk/eclipse/debian/rules
===================================================================
--- trunk/eclipse/debian/rules	2006-10-04 11:34:21 UTC (rev 2551)
+++ trunk/eclipse/debian/rules	2006-10-04 12:45:23 UTC (rev 2552)
@@ -452,7 +452,6 @@
 	sed 's, at MOZILLA_FIVE_HOME_DEFAULT@,$(MOZILLA_HOME),g' $(EXTRA)/eclipse.sh \
 	    > $(DEBIAN_TMP)/usr/bin/eclipse
 	chmod 755 $(DEBIAN_TMP)/usr/bin/eclipse
-	cp $(EXTRA)/ecj.sh                          $(DEBIAN_TMP)/usr/bin/ecj-java
 	cp $(EXTRA)/efj.sh                          $(DEBIAN_TMP)/usr/bin/efj
 	mkdir -p                                    $(DEBIAN_TMP)/usr/share/pixmaps/
 	cp $(EXTRA)/eclipse32.xpm                   $(DEBIAN_TMP)/usr/share/pixmaps/eclipse32.xpm




More information about the pkg-java-commits mailing list